Bug 187170 - CVE-2006-1059 Samba clear text password exposure
CVE-2006-1059 Samba clear text password exposure
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-03-28 17:38 EST by Josh Bressers
Modified: 2014-08-31 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3e0.22-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-31 10:09:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-28 17:38:58 EST
Samba clear text password exposure

The following text was taken from the samba advisory:

The machine trust account password is the secret shared
between a domain controller and a specific member server.
Access to the member server machine credentials may allow
an attacker to access additional information regarding
user accounts in the domain.

The winbindd daemon included in Samba 3.0.21 and subsequent
patch releases (3.0.21a-c) writes the clear text of server's
machine credentials to its log file at level 5.  The winbindd
log files are world readable by default and often log files
are requested on open mailing lists as tools used to debug
server misconfigurations.

Please note our samba log files are stored in a directory which is
only readable by root.
Comment 1 Josh Bressers 2006-03-30 10:55:53 EST
This issue is now public:
Comment 2 Fedora Update System 2006-03-30 20:55:32 EST
samba-3.0.22-1.fc5 has been pushed for FC5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.